(function (factory) {
    if (typeof module === "object" && typeof module.exports === "object") {
        var v = factory(require, exports);
        if (v !== undefined) module.exports = v;
    }
    else if (typeof define === "function" && define.amd) {
        define(["require", "exports", "@gluestack-style/react", "../../styled"], factory);
    }
})(function (require, exports) {
    "use strict";
    Object.defineProperty(exports, "__esModule", { value: true });
    const react_1 = require("@gluestack-style/react");
    const styled_1 = require("../../styled");
    exports.default = (0, styled_1.styled)(react_1.AsForwarder, {
        'w': '100%',
        'h': '100%',
        'justifyContent': 'center',
        'alignItems': 'center',
        ':checked': {
            color: '$backgroundLight0',
        },
        ':disabled': {
            opacity: 0.4,
        },
        '_dark': {
            ':checked': {
                color: '$backgroundDark0',
            },
            ':disabled': {
                opacity: 0.4,
            },
        },
        'variants': {
            size: {
                xs: {
                    h: 12,
                    w: 12,
                },
                sm: {
                    h: 16,
                    w: 16,
                },
                md: {
                    h: 18,
                    w: 18,
                },
                lg: {
                    h: 20,
                    w: 20,
                },
                xl: {
                    h: 24,
                    w: 24,
                },
            },
        },
    }, {
        ancestorStyle: ['_icon'],
    }, {
        propertyTokenMap: {
            stroke: 'colors',
        },
    });
});
