(function (factory) {
    if (typeof module === "object" && typeof module.exports === "object") {
        var v = factory(require, exports);
        if (v !== undefined) module.exports = v;
    }
    else if (typeof define === "function" && define.amd) {
        define(["require", "exports", "react-native", "../../styled"], factory);
    }
})(function (require, exports) {
    "use strict";
    Object.defineProperty(exports, "__esModule", { value: true });
    const react_native_1 = require("react-native");
    const styled_1 = require("../../styled");
    exports.default = (0, styled_1.styled)(react_native_1.View, {
        flexDirection: 'column',
        width: '100%',
        variants: {
            size: {
                sm: {
                    _label: {
                        fontSize: '$xs',
                    },
                },
                md: {
                    _label: {
                        fontSize: '$xs',
                    },
                },
                lg: {
                    _label: {
                        fontSize: '$sm',
                    },
                },
                xl: {
                    _labelText: {
                        fontSize: '$md',
                    },
                },
            },
        },
    }, { descendantStyle: ['_label', '_labelText'] });
});
