(function (factory) {
    if (typeof module === "object" && typeof module.exports === "object") {
        var v = factory(require, exports);
        if (v !== undefined) module.exports = v;
    }
    else if (typeof define === "function" && define.amd) {
        define(["require", "exports", "@expo/html-elements", "../../styled", "@legendapp/motion"], factory);
    }
})(function (require, exports) {
    "use strict";
    Object.defineProperty(exports, "__esModule", { value: true });
    exports.Root = void 0;
    //@ts-nocheck
    const html_elements_1 = require("@expo/html-elements");
    const styled_1 = require("../../styled");
    const motion_1 = require("@legendapp/motion");
    const MotionUL = (0, motion_1.createMotionAnimatedComponent)(html_elements_1.UL);
    exports.Root = (0, styled_1.styled)(MotionUL, {
        ':initial': {
            opacity: 0,
        },
        ':animate': {
            opacity: 1,
        },
        ':exit': {
            opacity: 0,
        },
        'minWidth': 200,
        'py': '$2',
        'rounded': '$sm',
        'bg': '$backgroundLight0',
        '_dark': {
            bg: '$backgroundDark900',
        },
        'shadowColor': '$backgroundLight800',
        //@ts-ignore
        'shadowOffset': {
            width: 0,
            height: 2,
        },
        'shadowOpacity': 0.25,
        'shadowRadius': 3.84,
        'elevation': 5,
    }, {});
});
