(function (factory) {
    if (typeof module === "object" && typeof module.exports === "object") {
        var v = factory(require, exports);
        if (v !== undefined) module.exports = v;
    }
    else if (typeof define === "function" && define.amd) {
        define(["require", "exports", "@legendapp/motion", "../../styled"], factory);
    }
})(function (require, exports) {
    "use strict";
    Object.defineProperty(exports, "__esModule", { value: true });
    //@ts-nocheck
    const motion_1 = require("@legendapp/motion");
    const styled_1 = require("../../styled");
    exports.default = (0, styled_1.styled)(motion_1.Motion.View, {
        ':initial': {
            scale: 0.9,
            opacity: 0,
        },
        ':animate': {
            scale: 1,
            opacity: 1,
        },
        ':exit': {
            scale: 0.9,
            opacity: 0,
        },
        'shadowColor': '$backgroundLight800',
        'bg': '$backgroundLight50',
        //@ts-ignore
        'shadowOffset': {
            width: 0,
            height: 2,
        },
        'shadowOpacity': 0.15,
        'shadowRadius': 3.84,
        'elevation': 5,
        'rounded': '$lg',
        'overflow': 'hidden',
        '_dark': {
            bg: '$backgroundDark900',
        },
        'variants': {},
    }, { ancestorStyle: ['_content'] });
});
