(function (factory) {
    if (typeof module === "object" && typeof module.exports === "object") {
        var v = factory(require, exports);
        if (v !== undefined) module.exports = v;
    }
    else if (typeof define === "function" && define.amd) {
        define(["require", "exports", "react-native", "../../styled"], factory);
    }
})(function (require, exports) {
    "use strict";
    Object.defineProperty(exports, "__esModule", { value: true });
    const react_native_1 = require("react-native");
    const styled_1 = require("../../styled");
    exports.default = (0, styled_1.styled)(react_native_1.View, {
        width: "100%",
        height: "100%",
        justifyContent: "center",
        alignItems: "center",
        variants: {
            size: {
                xs: {
                    _content: {
                        width: "60%",
                        maxWidth: 360,
                    },
                },
                sm: { _content: { width: "70%", maxWidth: 420 } },
                md: { _content: { width: "80%", maxWidth: 510 } },
                lg: { _content: { width: "90%", maxWidth: 640 } },
                full: {
                    _content: { width: "100%" },
                },
            },
        },
        defaultProps: { size: "md" },
        _web: {
            //@ts-ignore
            pointerEvents: "box-none",
        },
    }, { descendantStyle: ["_content", "_header"] });
});
