(function (factory) {
    if (typeof module === "object" && typeof module.exports === "object") {
        var v = factory(require, exports);
        if (v !== undefined) module.exports = v;
    }
    else if (typeof define === "function" && define.amd) {
        define(["require", "exports", "@legendapp/motion", "../../styled"], factory);
    }
})(function (require, exports) {
    "use strict";
    Object.defineProperty(exports, "__esModule", { value: true });
    const motion_1 = require("@legendapp/motion");
    const styled_1 = require("../../styled");
    exports.default = (0, styled_1.styled)(motion_1.Motion.View, {
        alignItems: "center",
        rounded: 0,
        borderTopLeftRadius: "$2xl",
        borderTopRightRadius: "$2xl",
        bg: "$backgroundLight0",
        _sectionHeaderBackground: {
            bg: "$backgroundLight0",
        },
        maxHeight: "80%",
        px: "$2",
        _dark: {
            bg: "$backgroundDark900",
            _sectionHeaderBackground: {
                bg: "$backgroundDark900",
            },
        },
        _web: {
            userSelect: "none",
        },
    }, {
        descendantStyle: ["_sectionHeaderBackground"],
    });
});
