(function (factory) {
    if (typeof module === "object" && typeof module.exports === "object") {
        var v = factory(require, exports);
        if (v !== undefined) module.exports = v;
    }
    else if (typeof define === "function" && define.amd) {
        define(["require", "exports", "../../styled", "react-native"], factory);
    }
})(function (require, exports) {
    "use strict";
    Object.defineProperty(exports, "__esModule", { value: true });
    const styled_1 = require("../../styled");
    const react_native_1 = require("react-native");
    exports.default = (0, styled_1.styled)(react_native_1.View, {
        w: "100%",
        justifyContent: "center",
        variants: {
            size: {
                sm: {
                    _thumb: {
                        h: "$4",
                        w: "$4",
                    },
                },
                md: {
                    _thumb: {
                        h: "$5",
                        w: "$5",
                    },
                },
                lg: {
                    _thumb: {
                        h: "$6",
                        w: "$6",
                    },
                },
            },
        },
        defaultProps: {
            size: "sm",
        },
        ":disabled": {
            opacity: 0.4,
            bg: "$primary600_alpha60",
        },
        _web: {
            ":disabled": {
                cursor: "not-allowed",
            },
        },
    }, {
        descendantStyle: ["_thumb"],
    });
});
