(function (factory) {
    if (typeof module === "object" && typeof module.exports === "object") {
        var v = factory(require, exports);
        if (v !== undefined) module.exports = v;
    }
    else if (typeof define === "function" && define.amd) {
        define(["require", "exports", "../../styled", "@legendapp/motion"], factory);
    }
})(function (require, exports) {
    "use strict";
    Object.defineProperty(exports, "__esModule", { value: true });
    const styled_1 = require("../../styled");
    const motion_1 = require("@legendapp/motion");
    exports.default = (0, styled_1.styled)(motion_1.Motion.View, {
        //@ts-ignore
        ":initial": {
            opacity: 0,
            scale: 0.5,
        },
        ":animate": {
            opacity: 1,
            scale: 1,
        },
        ":exit": {
            opacity: 0,
            scale: 0.5,
        },
        py: "$1",
        px: "$3",
        borderRadius: "$sm",
        bg: "$backgroundLight900",
        _text: {
            fontSize: "$xs",
            color: "$textLight50",
        },
        _web: {
            boxShadow: "0px 1px 1.41px rgba(0, 0, 0, 0.2)",
        },
        _dark: {
            bg: "$backgroundDark800",
            _text: {
                color: "$textDark50",
            },
        },
    }, { descendantStyle: ["_text"] });
});
