/** @type {import('next').NextConfig} */
const nextConfig = {
  reactStrictMode: true,
  // transpilePackages: ["react-native", "react-native-web"],
  webpack: (config) => {
    config.resolve.alias = {
      "react-native$": "react-native-web",
    };

    config.resolve.extensions = [".web.js", ".web.ts", ".web.tsx"];

    config.module.rules.push({
      test: /\.ttf$/,
      loader: "url-loader",
    });

    config.module.rules.push({
      test: /\.(ts|js)x?$/,
      exclude: /node_modules/,
      use: {
        loader: "babel-loader",
      },
    });

    config.module.rules.push({
      test: /\.[jt]s$/,
      exclude: /(node_modules)/,
      use: [
        {
          loader: "ts-loader",
          options: {
            presets: [
              "@babel/preset-env",
              "@babel/preset-react",
              "@babel/preset-typescript",
            ],
          },
        },
      ],
    });

    return config;
  },
  // transpilePackages: ["react-native"],
  // webpack: (config) => {
  //   config.module.rules.push({
  //     test: /\.[jt]s$/,
  //     exclude: /(node_modules)/,
  //     use: [
  //       {
  //         loader: "ts-loader",
  //         options: {
  //           compilerOptions: {
  //             noEmit: false,
  //           },
  //         },
  //       },
  //     ],
  //   });
  //   // config.module.rules.push({
  //   //   test: /\.(ts|js)x?$/,
  //   //   exclude: /node_modules/,
  //   //   use: {
  //   //     loader: "babel-loader",
  //   //     options: {
  //   //       presets: [
  //   //         "@babel/preset-env",
  //   //         "@babel/preset-react",
  //   //         "@babel/preset-typescript",
  //   //       ],
  //   //     },
  //   //   },
  //   // });
  //   return config;
  // },
  // webpack: (config) => {
  //   config.module.rules.push(
  //     {
  //       test: /\.(png|jpe?g|gif|svg|woff2?|ttf|eot)$/i,
  //       use: [
  //         {
  //           loader: "url-loader",
  //           options: {
  //             limit: 8192,
  //             name: "[name].[hash].[ext]",
  //             outputPath: "static",
  //             publicPath: "/_next/static",
  //           },
  //         },
  //       ],
  //     },
  //     {
  //       test: /\/node_modules\/react-native\//,
  //       use: "null-loader", // Exclude React Native internals from processing
  //     }
  //   );

  //   config.resolve.alias["react-native$"] = "react-native-web";

  //   return config;
  // },
};
